Bug 29884 - Missing test in api/v1/patrons.t
Summary: Missing test in api/v1/patrons.t
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 28632
Blocks: 29403
  Show dependency treegraph
 
Reported: 2022-01-14 14:16 UTC by Jonathan Druart
Modified: 2022-02-20 16:41 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00,21.11.03,21.05.11


Attachments
Bug 29884: Run missing test in api/v1/patrons.t (1.49 KB, patch)
2022-01-14 14:18 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29884: Run missing test in api/v1/patrons.t (1.59 KB, patch)
2022-01-18 12:13 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2022-01-14 14:16:07 UTC
t::lib::Dates::compare( $updated_on_got, $updated_on_expected, 'updated_on values matched' );

compare is not calling is() or ok(), it's caller job to do it.
Comment 1 Jonathan Druart 2022-01-14 14:18:54 UTC
Created attachment 129482 [details] [review]
Bug 29884: Run missing test in api/v1/patrons.t

compare is not calling is() or ok(), it's caller job to do it.

Test plan:
  prove t/db_dependent/api/v1/patrons.t
should still return green
Comment 2 Marcel de Rooy 2022-01-18 12:13:35 UTC
Created attachment 129551 [details] [review]
Bug 29884: Run missing test in api/v1/patrons.t

compare is not calling is() or ok(), it's caller job to do it.

Test plan:
  prove t/db_dependent/api/v1/patrons.t
should still return green

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 3 Marcel de Rooy 2022-01-18 12:14:15 UTC
Trivial. SO+QA
Comment 4 Fridolin Somers 2022-01-19 07:21:23 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 5 Kyle M Hall 2022-02-04 19:05:29 UTC
Pushed to 21.11.x for 21.11.03
Comment 6 Andrew Fuerste-Henry 2022-02-11 15:44:56 UTC
Pushed to 21.05.x for 21.05.11
Comment 7 Victor Grousset/tuxayo 2022-02-20 16:41:53 UTC
Not backported to oldoldstable (20.11.x). Feel free to ask if it's needed.